Issue recurring - task #19

Under certain conditions, recurrence don't keep assigned person
2019-08-19 19:42 - lupa18

Status: closed
Priority: bug
Assignee: cryptogopher
Category:

Target version: 1.3

Redmine version: 4.0.x
Description

When it re created, the assigned person get unassigned

¢ Aceptar P Anular [ Guardar

# Tipo Estado Prioridad Asunto Asignado a

7990 Tareas Nueva Urgente Escrik Iu

7985 Tareas Nueva Urgente Editar Ju

7984  Tareas Nueva Normal Carga

7983  Tareas Nueva Normal MEétric

7982  Tareas MNueva Normal Hacer

7953 Tareas Nueva Normal Carga

7941  Tareas En curso Urgente Mailck Se

7916  Tareas Nueva Normal Carga

7915  Tareas Nueva Normal MEtric

7877  Tareas Nueva Normal Carga

7816 Tareas Nueva Normal Carga

7815  Tareas MNueva Normal Carga

7814  Tareas Nueva Normal MEétric

7703 Tareas Nueva Normal Carga SE

7048  Tareas En curso Normal Poste S

6964  Tareas En curso Urgente Mape Edui

6602  Tareas En curso Normal De m: Sg

6232  Tareas Comentarios Baja Po Se
History

#1 - 2019-08-19 20:20 - cryptogopher

- Status changed from new to in progress
Thank you for reporting!

Please provide following:

plugin version

plugin configuration settings

recurrence settings
number of first recurrence (relative to the issue that has recurrence configured), where assignment failed

#2 - 2019-08-21 15:07 - lupa18
- File Seleccion_954.png added

cryptogopher wrote:
Thank you for reporting!

Please provide following:
® plugin version

1.3

¢ plugin configuration settings

SET AUTHOR: author of previous
KEEP ASIGNEE: unchecked
ADD JOURNAL: unchecked

e recurrence settings

"Copy issue every 1 week, based on due date of last recurrence. "

¢ number of first recurrence (relative to the issue that has recurrence configured), where assignment failed

Not sure, maybe first or second.

Now | have new problem. Several issues are created when It must be only one:

# Tipo Estado Prioridad Asunto Asignado a
8014 Tareas Nueva Inmediata Semana de Informatica UA Palc B
8002 Tareas Nueva Normal Cargar nime

8001  Tareas Nueva Normal Cargar nime

BODO  Tareas Nueva Normal Cargar nime

7999  Tareas Nueva Normal Cargar nime

7998  Tareas Nueva MNormal Cargar nime

7997 Tareas Nueva Normal Cargar nime

7990 Tareas Nueva Urgente I lu
7982 Tareas Nueva Normal I Be

7703 Tareas Nueva Normal Cargar nimer e, ) Seli

7048 Tareas En curso Normal Seli

All was created yesterday at the same time :-/

#3 - 2019-08-21 19:42 - cryptogopher
- Target version set to 1.3

- Redmine version changed from 3.4.x to 4.0.x

#4 - 2019-08-21 19:52 - cryptogopher
- Status changed from in progress to feedback
lupa18 wrote:
e plugin configuration settings
SET AUTHOR: author of previous

KEEP ASIGNEE: unchecked
ADD JOURNAL: unchecked

If you leave "Keep assignee from previous recurrence" option unchecked, plugin does not copy assignee from previous recurrence. In such case
assignment proceeds according to your Redmine configuration for new issues. | don't see anything wrong here.

If you disagree: please describe what behavior do you expect. Also give us the assignments for all of the created recurrences, including the base
issue. You don't need to provide real names, just nicknames.

Now | have new problem. Several issues are created when It must be only one:
8014
8002
8001
8000
7999
7998
7997
7990
7982
7703
7048

Tipo
Tareas
Tareas
Tareas
Tareas
Tareas
Tareas
Tareas
Tareas
Tareas
Tareas

Tareas

Estado
Nueva
Nueva
Nueva
MNueva
Nueva
Nueva
Nueva
Nueva
Nueva
Nueva

En curso

Prioridad
Inmediata
Normal
Normal
Normal
Normal
Normal
Normal
Urgente
Normal
Normal

Normal

All was created yesterday at the same time :-/

Please report new problems in separate issues to avoid confusion. Once you open new issue please provide following:

e description of recurrence scheme,

Semana de Informética UA
Cargar nime

Cargar nime

Cargar nime

Cargar nime

Cargar nime;

Cargar nime

I

I

Cargar nimer

e start and due dates of issue where you configure recurrence scheme,
e start and due dates of issues created by plugin.

#5 - 2019-08-21 20:06 - lupa18

cryptogopher wrote:

lupa18 wrote:

Asunto

Asignado a

Palc

If you leave "Keep assignee from previous recurrence" option unchecked, plugin does not copy assignee from previous recurrence. In such case

assignment proceeds according to your Redmine configuration for new issues. | don't see anything wrong here.

If you disagree: please describe what behavior do you expect. Also give us the assignments for all of the created recurrences, including the base
issue. You don't need to provide real names, just nicknames.

Ok, | misunderstood, because the text: "if unchecked, default assignment rules will apply" and | had interpreted other thing.

You can close.

| will monitor the other error and if persist | will open new issue.

#6 - 2019-08-21 20:14 - cryptogopher

- Status changed from feedback to resolved

lupai8 wrote:

Ok, | misunderstood, because the text: "if unchecked, default assignment rules will apply" and | had interpreted other thing.

| added small clarification to option description in 684b5{54

Closing issue.

#7 - 2019-08-21 20:15 - cryptogopher

- Status changed from resolved to closed

Files

Seleccion_948.
Seleccion_954.

2024-04-23

png
png

80.3 KB
49.3 KB

2019-08-19
2019-08-21

3/3

lupa18
lupa18


https://it.michalczyk.pro/projects/issue-recurring/repository/revisions/684b5f54695cf2720a3357b20f752b0602b829c6
